<?php
declare(strict_types=1);

namespace LotGD\Core\Models\BattleEvents;

use LotGD\Core\Exceptions\BattleEventException;

/**
 * A battle event representing a message generated by a buff.
 */
class BuffMessageEvent extends BattleEvent
{
    private $message = "";

    /**
     * Create a new BuffMessageEvent.
     * @param string $message The message from the buff.
     */
    public function __construct(string $message)
    {
        $this->message = $message;
    }

    /**
     * Return the message.
     * @return string
     */
    public function getMessage(): string
    {
        return $this->message;
    }

    /**
     * @inheritDoc
     */
    public function decorate(Game $game): string
    {
        return $message;
    }
}
